#ifndef TEXT_H
#define TEXT_H

#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>
#include <string>
#include "functions.h"
#include "constants.h"

class Text
{
    public:
        Text(TTF_Font *TexttextFont = font);
        Text(std::string newText, TTF_Font *TexttextFont = font);
        int getW() const;
        int getH() const;
        void change(std::string newText);
        void draw(int x, int y, bool centerx = false, bool centery = false) const;

    private:
        TTF_Font *textFont;
        SDL_Surface *textImage;
};

#endif
